View Issue Details

IDProjectCategoryView StatusLast Update
0016587FPCDatabasepublic2019-10-02 09:27
ReporterChristianAssigned ToMichael Van Canneyt 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version3.3.1 
Summary0016587: TSdfDataSet imports files always as UTF8
DescriptionThers no way to use System encoded Files with TSDFDataSet at time.
UTF8 should be recognized at UTF BOM without BOM it should use System Encoding.
TagsNo tags attached.
Fixed in Revision43105
FPCOldBugId0
FPCTarget3.2.0
Attached Files

Activities

Vincent Snijders

2010-05-28 15:08

manager   ~0038087

Isn't this a FPC issue?

Felipe Monteiro de Carvalho

2010-07-21 14:58

developer   ~0039560

Just relying on the BOM is a bad idea, a field should be added to choose the encoding.

Michael Van Canneyt

2010-07-21 17:08

administrator   ~0039561

SDFDataset is not aware of any encoding. I don't know where the claim comes from, but I don't see any code in the implementation which points at UTF-8.
It uses simple ansistring, no assumptions on codepages.

But the 'Encoding' property idea is good.

Vincent Snijders

2010-10-29 13:23

manager   ~0042318

Moved to the FPC project for adding encoding property.

Michael Van Canneyt

2019-10-02 09:27

administrator   ~0118244

With the new codepage support for string fields, this finally got resolved.

Issue History

Date Modified Username Field Change
2010-05-28 14:53 Christian New Issue
2010-05-28 15:08 Vincent Snijders Note Added: 0038087
2010-07-21 14:58 Felipe Monteiro de Carvalho Note Added: 0039560
2010-07-21 17:08 Michael Van Canneyt Note Added: 0039561
2010-10-29 13:22 Vincent Snijders Project Lazarus => FPC
2010-10-29 13:23 Vincent Snijders Note Added: 0042318
2010-10-29 13:33 Jonas Maebe FPCOldBugId => 0
2010-10-29 13:33 Jonas Maebe Category Other => Database Components
2010-10-29 13:33 Jonas Maebe Product Version 0.9.28.3 (SVN) =>
2010-10-29 13:34 Jonas Maebe Status new => assigned
2010-10-29 13:34 Jonas Maebe Assigned To => Michael Van Canneyt
2012-01-27 18:35 Marco van de Voort Severity minor => feature
2019-10-02 09:27 Michael Van Canneyt Status assigned => resolved
2019-10-02 09:27 Michael Van Canneyt Resolution open => fixed
2019-10-02 09:27 Michael Van Canneyt Fixed in Version => 3.3.1
2019-10-02 09:27 Michael Van Canneyt Fixed in Revision => 43105
2019-10-02 09:27 Michael Van Canneyt FPCTarget => 3.2.0
2019-10-02 09:27 Michael Van Canneyt Note Added: 0118244